Skip to main content
GET
/
assembly
/
{id}
Get assembly task by ID
curl --request GET \
  --url https://api.autoprintfarm.com/public/v1/assembly/{id} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "<string>",
    "product_name": "<string>",
    "sku": "<string>",
    "quantity": 123,
    "notes": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "completed_at": "<string>",
    "wiki_article": {
      "id": "<string>",
      "title": "<string>",
      "slug": "<string>",
      "excerpt": "<string>",
      "category": "<string>",
      "tags": [
        "<string>"
      ],
      "product_id": "<string>",
      "sku_id": "<string>",
      "is_published": true,
      "published_at": "<string>",
      "meta_title": "<string>",
      "meta_description": "<string>",
      "featured_image_url": "<string>",
      "description": "<string>",
      "estimated_time_minutes": 123,
      "difficulty": "<string>",
      "tools_required": [
        "<string>"
      ],
      "created_at": "<string>",
      "updated_at": "<string>",
      "content": "<string>",
      "sections": [
        {}
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

API keys are minted in the AutoPrintFarm web app under Settings → API Keys. Send as Authorization: Bearer apf_live_.... Keys are shown exactly once at creation and can be revoked at any time.

Path Parameters

id
string
required

Assembly task ID

Response

Assembly task detail

success
enum<boolean>
required
Available options:
true
data
object
required